Bug 21148 - При перезагрузке из GNOME запрашивает пароль на неизвестный сеанс
: При перезагрузке из GNOME запрашивает пароль на неизвестный сеанс
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gdm)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
: distro-blocker
:
: 19564
  Show dependency tree
 
Reported: 2009-08-20 16:07 by
Modified: 2009-10-21 14:08 (History)


Attachments
Диалог выхода из GNOME (390.45 KB, image/png)
2009-10-15 12:28, Andrey Cherepanov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-08-20 16:07:44
Запрашивает пароль так как открыт ещё один сеанс, хотя сеанс по факту — один
(GNOME, из которого выходим).
------- Comment #1 From 2009-08-20 16:36:43 -------
сессии две
$ ck-list-sessions 
Session3:
    unix-user = '500'
    realname = 'Valery V. Inozemtsev'
    seat = 'Seat1'
    session-type = ''
    active = TRUE
    x11-display = ':0'
    x11-display-device = '/dev/tty7'
    display-device = ''
    remote-host-name = ''
    is-local = TRUE
    on-since = '2009-08-20T07:15:37.355262Z'
    login-session-id = '1'
Session2:
    unix-user = '500'
    realname = 'Valery V. Inozemtsev'
    seat = 'Seat2'
    session-type = ''
    active = FALSE
    x11-display = ':0'
    x11-display-device = ''
    display-device = ''
    remote-host-name = ''
    is-local = TRUE
    on-since = '2009-08-20T07:15:37.345098Z'
    login-session-id = '1'

кто создает Seat2 не понятно
------- Comment #2 From 2009-08-24 15:47:03 -------
(В ответ на комментарий №1)
> кто создает Seat2 не понятно
Очевидно, GDM. Смотри, Seat2 создано раньше, чем Seat1 (реальный сеанс). На KDM
такое не воспроизводится.
------- Comment #3 From 2009-09-01 19:31:04 -------
Перевешиваю на фактического packager'а.
------- Comment #4 From 2009-09-08 12:32:31 -------
в /etc/pam.d/{gdm,gdm-autologin} стока "session optional pam_ck_connector.so"
лишняя

P.S. так же не нужна "auth optional pam_gnome_keyring.so", из-за этого не
экспортируестся SSH_AUTH_SOCK при авторизации по паролю
------- Comment #5 From 2009-09-08 15:03:44 -------
gdm-2.26.1-alt3 -> sisyphus:

* Tue Sep 08 2009 Alexey Shabalin <shaba@altlinux> 2.26.1-alt3

- remove pam_ck_connector.so from pam config files (ALT #21148)
------- Comment #6 From 2009-10-15 12:19:50 -------
*** Bug 20911 has been marked as a duplicate of this bug. ***
------- Comment #7 From 2009-10-15 12:27:45 -------
ConsoleKit всё также запрашивает пароль на выход. Кстати, в /etc/pam.d/gdm
осталась строка "auth optional pam_gnome_keyring.so", но её убирание ничего не
решает.
------- Comment #8 From 2009-10-15 12:28:50 -------
Created an attachment (id=3989) [details]
Диалог выхода из GNOME
------- Comment #9 From 2009-10-19 12:45:41 -------
ConsoleKit-0.3.0-alt5 -> sisyphus:

* Mon Oct 19 2009 Valery Inozemtsev <shrek@altlinux> 0.3.0-alt5

- fixed org.freedesktop.ConsoleKit.Manager GetSessions permission (closes:
#21148)